local tablemaker = require("BadPVP.MDK.ftext").TableMaker

leaderTable = tablemaker:new({
    title = "Group Leaders",
    printTitle = true,
    printHeaders = false,
    frameColor = "<steel_blue>",
    separateRows = false,
    titleColor = "<white>"
})
leaderTable:addColumn({
    name = "Name",
    width = 40
})
leaderTable:addColumn({
    name = "City",
    width = 40
})

for k, v in pairs(badpvp.groups.leaders) do
    local getCity = nil
    local cityColor = nil

    if table.contains(Legacy.NDB.db, v) then
        getCity = Legacy.NDB.db[v].city
        cityColor = Legacy.NDB.color(v)
    end

    if getCity then
        leaderTable:addRow({
            cityColor .. v .. "<reset>",
            cityColor .. getCity .. "<reset>"
        })
    else
        leaderTable:addRow({
            v,
            getCity or "Not in NDB"
        })
    end
end

cecho(leaderTable:assemble())