local ourIndex = badpvp.groups.targetIndex

if #badpvp.groups.targetList == 0 then
    cecho("\n<firebrick>COMBAT NOTICE: Target List is empty.")
    return
elseif (ourIndex + 1) > #badpvp.groups.targetList then
    cecho("\n<firebrick>COMBAT NOTICE: Reached end of target list. Rolling back to first entry.")
    ourIndex = 1
else
    cecho("\n<firebrick>COMBAT NOTICE: Moving to next target in list.")
    ourIndex = ourIndex + 1
end

local findTarget = true
while findTarget do
    local ourTarget = badpvp.groups.targetList[ourIndex]
    if table.contains(badpvp.groups.deadTargets, ourTarget) then
        cecho("\n<firebrick>COMBAT NOTICE: Target was listed as dead so skipping one time.")
        table.remove(badpvp.groups.deadTargets, table.index_of(badpvp.groups.deadTargets, ourTarget))
        ourIndex = ourIndex + 1
    elseif badpvp.groups.targetVisible and not table.contains(Legacy.Room.players, ourTarget) then
        cecho("\n<firebrick>COMBAT NOTICE: Set to only target visible enemies and we cannot see " .. ourTarget .. ". Skipping.")
        ourIndex = ourIndex + 1
    else
        findTarget = false
    end
end

badpvp.groups.targetIndex = ourIndex
expandAlias("st " .. badpvp.groups.targetList[ourIndex])